Bug 1384546 - Removing application does not bring back the install icon immediately
Summary: Removing application does not bring back the install icon immediately
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 14:04 UTC by Ankur Sinha (FranciscoD)
Modified: 2017-12-12 11:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 11:00:25 UTC


Attachments (Terms of Use)
screenshot for calibre (235.92 KB, image/png)
2016-10-13 14:04 UTC, Ankur Sinha (FranciscoD)
no flags Details
screenshot for workrave (136.09 KB, image/png)
2016-10-13 14:05 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2016-10-13 14:04:35 UTC
Created attachment 1210130 [details]
screenshot for calibre

Description of problem:
- Removing application does not bring back the install icon immediately - going back to overview and selecting the app again does, though

Version-Release number of selected component (if applicable):
gtk3-3.22.1-2.fc25.x86_64
gnome-shell-3.22.1-1.fc25.x86_64
mutter-3.22.1-2.fc25.x86_64
gnome-software-3.22.0-1.fc25.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Remove an application
2.
3.

Actual results:
Does not immediately bring up "Install" button (Installing an app does immediately bring up the "Launch" and "Remove" buttons, though.)

Tested with two applications - workrave and calibre

Expected results:
Should immediately refresh the "page" to show an "install" button?

Additional info:

Comment 1 Ankur Sinha (FranciscoD) 2016-10-13 14:05 UTC
Created attachment 1210131 [details]
screenshot for workrave

Comment 2 Fedora End Of Life 2017-11-16 19:15:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 11:00:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.